Skip to content
EN

Veo查询任务

方法: GET路径: /v2/videos/generations/{task_id}

统一接口格式 status 枚举: NOT_START : 未开始 IN_PROGRESS : 正在执行 SUCCESS : 执行完成 FAILURE : 失败

请求参数

Path 参数

text
task_id
string
必需

Header 参数

text
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}

请求示例代码

Shell

bash
curl --location --request GET '/v2/videos/generations/' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}'

返回响应

🟢 200 成功

内容类型: application/json

响应结构

text
object

示例

json
{
    "task_id": "veo3:1756693796-YQVHH4A3Lg",
    "platform": "google",
    "action": "google-videos",
    "status": "SUCCESS",
    "fail_reason": "",
    "submit_time": 1756693797,
    "start_time": 1756693808,
    "finish_time": 1756693898,
    "progress": "100%",
    "data": {
        "output": "https://filesystem.site/cdn/20250901/018eg2SgUpHMT6EEuQbfeRLWeUhE75.mp4"
    },
    "search_item": ""
}